Bug 1366721 - [RFE] Ceilometer should use Gnocchi as a backend by default
Summary: [RFE] Ceilometer should use Gnocchi as a backend by default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Mehdi ABAAKOUK
URL:
Whiteboard:
Depends On:
Blocks: 1402214
TreeView+ depends on / blocked
 
Reported: 2016-08-12 15:59 UTC by Julien Danjou
Modified: 2016-12-14 15:51 UTC (History)
15 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160907212643.90c852e.1.el7ost
Doc Type: Enhancement
Doc Text:
The Telemetry service (ceilometer) now uses gnocchi as its default meter dispatcher back end. Gnocchi is more scalable, and is more aligned to the future direction that the Telemetry service is facing.
Clone Of:
: 1402214 (view as bug list)
Environment:
Last Closed: 2016-12-14 15:51:25 UTC
Target Upstream Version:


Attachments (Terms of Use)
Some PDF fixes, to be able to run the tests (572 bytes, text/plain)
2016-10-20 07:56 UTC, Mehdi ABAAKOUK
no flags Details
log file of the testing (41.30 KB, text/plain)
2016-10-20 07:56 UTC, Mehdi ABAAKOUK
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Julien Danjou 2016-08-12 15:59:20 UTC
Once installed via OSPd, Ceilometer collector should be configured to rely on Gnocchi to store its gathered metrics.

Comment 5 Mehdi ABAAKOUK 2016-10-20 07:56:02 UTC
Created attachment 1212377 [details]
Some PDF fixes, to be able to run the tests

Comment 6 Mehdi ABAAKOUK 2016-10-20 07:56:54 UTC
Created attachment 1212378 [details]
log file of the testing

Comment 7 Mehdi ABAAKOUK 2016-10-20 07:58:40 UTC
All tests are passing (except the upgrade tests that I can't run)

I have discovered two bugs, that I have workarounded to be able to run the tests procedure:

https://bugzilla.redhat.com/show_bug.cgi?id=1387122 (statsd usable by default, the firewall block it)
https://bugzilla.redhat.com/show_bug.cgi?id=1387121 (not critical at all, just logging issue)

Comment 8 Mehdi ABAAKOUK 2016-11-04 14:12:28 UTC
Upgrade test done and verified

Comment 11 Julien Danjou 2016-11-14 09:35:57 UTC
Hi Lucy,

Definitely. I don't know what the doc says exactly today, but this do change things a bit. The old Ceilometer API and therefore its associated "ceilometer <foobar>" (e.g. ceilometer sample-list or meter-list) commands won't work anymore by default as Ceilometer won't store any data itself.

Users should use the Gnocchi API instead and the "gnocchi <foobar>" command line tool, which will be fully available instead.

Let me know if you need more information or if you want me to review anything.

Comment 13 errata-xmlrpc 2016-12-14 15:51:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.